Wanted Blu-Ray player must have latest firmware if used - HotUKDeals
We use cookie files to improve site functionality and personalisation. By continuing to use HUKD, you accept our cookie and privacy policy.
Get the HUKD app free at Google Play

Search Error

An error occurred when searching, please try again!

Login / Sign UpSubmit
Expired

Wanted Blu-Ray player must have latest firmware if used £60.00

louiset20 Avatar
banned6y, 9m agoPosted 6 years, 9 months agoFeedback:7 Positive/0 Neutral/0 Negative
Hi I'm after a blu-ray player any make really but prefer Sony Philips etc
It must have latest firmware installed for the particular model as I'm complete technophobe lol
Just let me know what you have and a price including delivery thanks
Shipping/Payment:
p/p gift
Location:
Birmingham
louiset20 Avatar
banned6y, 9m agoPosted 6 years, 9 months agoFeedback:7 Positive/0 Neutral/0 Negative
Options

All Comments

(4) Jump to unreadLocked
Comments/page:
banned#1
bump 1
banned#2
bump 2 anyone ?
banned#3
final bump
[mod]#4
Thread Closed at OP Request. Thanks for the report.

Post a Comment

No more comments can be posted to this thread.
Thanks for your comment! Keep it up!
We just need to have a quick look and it will be live soon.
The community is happy to hear your opinion! Keep contributing!